Apply a DeploymentSpec
POST
/
api
/
v1
/
deployments
/
apply
Apply a DeploymentSpec
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"model": "<string>",
"name": "<string>",
"targets": [
"<string>"
],
"autoscaling_enabled": true,
"endpoint_name": "<string>",
"max_replicas": 1,
"min_replicas": 1,
"routing_strategy": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/apply"
payload = {
"model": "<string>",
"name": "<string>",
"targets": ["<string>"],
"autoscaling_enabled": True,
"endpoint_name": "<string>",
"max_replicas": 1,
"min_replicas": 1,
"routing_strategy": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: '<string>',
name: '<string>',
targets: ['<string>'],
autoscaling_enabled: true,
endpoint_name: '<string>',
max_replicas: 1,
min_replicas: 1,
routing_strategy: '<string>'
})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/apply"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"name\": \"<string>\",\n \"targets\": [\n \"<string>\"\n ],\n \"autoscaling_enabled\": true,\n \"endpoint_name\": \"<string>\",\n \"max_replicas\": 1,\n \"min_replicas\": 1,\n \"routing_strategy\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"operation": {
"id": "<string>",
"kind": "<string>",
"progress": 50,
"status": "pending",
"attempt": 123,
"cancel_requested": true,
"created_at": "2023-11-07T05:31:56Z",
"current_step": "<string>",
"current_step_status": "pending",
"error_code": "<string>",
"max_attempts": 123,
"message": "<string>",
"resource_name": "<string>",
"resource_type": "<string>",
"result": {},
"retryable": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"created": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Stable key used to adopt the original durable operation after retries or disconnects.
Maximum string length:
128Body
application/json
Minimum array length:
1Stable application endpoint alias. Defaults to the deployment name.
Pattern:
^[a-z0-9](?:[a-z0-9._-]{0,62}[a-z0-9])?$Required range:
x >= 0Required range:
x >= 0⌘I
Apply a DeploymentSpec
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"model": "<string>",
"name": "<string>",
"targets": [
"<string>"
],
"autoscaling_enabled": true,
"endpoint_name": "<string>",
"max_replicas": 1,
"min_replicas": 1,
"routing_strategy": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/apply"
payload = {
"model": "<string>",
"name": "<string>",
"targets": ["<string>"],
"autoscaling_enabled": True,
"endpoint_name": "<string>",
"max_replicas": 1,
"min_replicas": 1,
"routing_strategy": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: '<string>',
name: '<string>',
targets: ['<string>'],
autoscaling_enabled: true,
endpoint_name: '<string>',
max_replicas: 1,
min_replicas: 1,
routing_strategy: '<string>'
})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/apply"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"name\": \"<string>\",\n \"targets\": [\n \"<string>\"\n ],\n \"autoscaling_enabled\": true,\n \"endpoint_name\": \"<string>\",\n \"max_replicas\": 1,\n \"min_replicas\": 1,\n \"routing_strategy\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"operation": {
"id": "<string>",
"kind": "<string>",
"progress": 50,
"status": "pending",
"attempt": 123,
"cancel_requested": true,
"created_at": "2023-11-07T05:31:56Z",
"current_step": "<string>",
"current_step_status": "pending",
"error_code": "<string>",
"max_attempts": 123,
"message": "<string>",
"resource_name": "<string>",
"resource_type": "<string>",
"result": {},
"retryable": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"created": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}